Qt 5.7 | Qt Charts | C++ Classes | QBarSeries

Qt 5.7.1 Reference Documentation

# QBarSeries Class

Series for creating bar chart. More...

Header: | #include <QBarSeries>
Instantiated By: | BarSeries
Inherits: | QAbstractBarSeries

- List of all members, including inherited members

## Public Functions

| QBarSeries(QObject *parent = Q_NULLPTR)
| ~QBarSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const

- 18 public functions inherited from QAbstractBarSeries
- 15 public functions inherited from QAbstractSeries

### Additional Inherited Members

- 6 properties inherited from QAbstractBarSeries
- 5 properties inherited from QAbstractSeries
- 12 signals inherited from QAbstractBarSeries
- 4 signals inherited from QAbstractSeries

## Detailed Description

Series for creating bar chart.

QBarSeries represents a series of data shown as bars. The purpose of this class is to draw bars as groups, where bars in same category are grouped next to each other. QBarSeries groups the data from sets to categories, which are defined by a QStringList.

See the bar chart example to learn how to create a grouped bar chart.

See also QBarSet, QPercentBarSeries, QAbstractBarSeries, and QStackedBarSeries.

## Member Function Documentation

### QBarSeries::QBarSeries(QObject *parent = Q_NULLPTR)

Constructs empty QBarSeries. QBarSeries is QObject which is a child of a parent.

### QBarSeries::~QBarSeries()

Destructor. Removes series from chart.

### `[virtual]` QAbstractSeries::SeriesType QBarSeries::type() const

Reimplemented from QAbstractSeries::type().

Returns QAbstractSeries::SeriesTypeBar.